Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I went to ubuntu's main site and downloaded the latest LTS version 11.04.

Now I'm trying to install varnish on it, and following the steps on the downloads page for Ubuntu I added the new repo but it has /natty/ in the url, and when I try and to an apt-get update I noticed there is a 404 error since that url doesn't exist.

I see they only have this distro's with packages:

http://repo.varnish-cache.org/ubuntu/dists/

Its LTS one of these, or is LTS considered Natty or ?

share|improve this question
    
actually 8.04 is still LTS for servers and so is 10.04. –  Alvar Sep 30 '11 at 20:13

3 Answers 3

up vote 5 down vote accepted

The current LTS is version 10.04 - not 11.04.

The repo you have indicated only has packages for 10.04.

However - you dont need the external repository in your question. You also dont need to reinstall the LTS unless you want the 5 years support rather than the 18months for Natty.

To install varnish:

sudo apt-get install varnish

i.e. you don't need to reinstall the LTS.

Version 3 on varnish is packaged for 11.10 which is to be released in a couple of weeks (at the time of writing this).

Thus - three choices -

  1. wait a couple of weeks and upgrade to 11.10
  2. install the LTS now and add the varnish-cache repo
  3. force an upgrade to the 11.10 beta immediately to help out testing i.e.

Linked Question:

  1. How do I upgrade to the development release (aka. Ubuntu+1)?
share|improve this answer
    
well I did apt-get -s install varnish and it shows version 2.1.4 and I want the latest stable which is 3.0.1 –  Blankman Sep 30 '11 at 20:29
    
can't I just add the repo and package? or there are issues with that, I don't get it :) –  Blankman Sep 30 '11 at 20:45
1  
The repo doesnt have a natty version - there are ways to "force" an install - but you usually get into major packaging issues. The recommended way is to install from the standard repos' or via a PPA - I havent found a PPA with v3 (v3 only came out at the end of August). –  fossfreedom Sep 30 '11 at 20:48
    
I see ok, thanks then I guess I'll try the upgrade. –  Blankman Sep 30 '11 at 20:57
1  
just keep on updating - you will automatically be on the latest stable version. –  fossfreedom Sep 30 '11 at 21:57

See https://wiki.ubuntu.com/Releases, Ubuntu 10.04 is the current LTS version. 11.04 is the current supported stable version for which support will end in October 2012. The 10.04 LTS version is supported till April 2015 (for servers only, desktop is supported till April 2013).

share|improve this answer

To install Varnish on Ubuntu

sudo apt-get update; apt-get install curl nano
sudo curl http://repo.varnish-cache.org/debian/GPG-key.txt | sudo apt-key add -
sudo echo "deb http://repo.varnish-cache.org/ubuntu/ precise varnish-3.0" | sudo tee -a /etc/apt/sources.list
sudo apt-get update; apt-get install varnish
share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.